Ride The Lightning v0.15.0-beta: CLNRest for Core Lightning

“This is a major integration upgrade and a breaking change for RTL’s integration with Core Lightning.””With this release c-lightning-rest integration has been removed and RTL now uses core lightning’s native CLNRest plugin to communicate with the core lightning backend.”

Please note the associated updates required to upgrade to this version:

Core Lightning version should be v23.11 or higherCLNRest plugin must be configured and running on Core Lightning. Detailed instructions on CLNRest: https://docs.corelightning.org/docs/restReview RTL’s core lightning documentation for instructions to wire up RTL with CLNRestNodeJS version 0.18 or higher

GitHub Repo

Leave a Reply

Your email address will not be published. Required fields are marked *